Bug 610077 - [abrt] crash in avr-gdb-6.6-11.fc12: dwarf_decode_lines: Process /usr/bin/avr-gdb was killed by signal 11 (SIGSEGV)
[abrt] crash in avr-gdb-6.6-11.fc12: dwarf_decode_lines: Process /usr/bin/avr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: avr-gdb (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
abrt_hash:ff8e28259a8461bf99f4caf7d91...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 10:10 EDT by Adam Pribyl
Modified: 2010-07-16 05:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 05:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.36 KB, text/plain)
2010-07-01 10:11 EDT, Adam Pribyl
no flags Details

  None (edit)
Description Adam Pribyl 2010-07-01 10:10:57 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: avr-gdb -x gdb.conf -q -fullname
component: avr-gdb
crash_function: dwarf_decode_lines
executable: /usr/bin/avr-gdb
global_uuid: ff8e28259a8461bf99f4caf7d917a19f348e0c15
kernel: 2.6.33.5-124.fc13.x86_64
package: avr-gdb-6.6-11.fc12
rating: 4
reason: Process /usr/bin/avr-gdb was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.compiled AVR RUM as COORD
2.run avr-gdb
3.file COORDrum.elf
Comment 1 Adam Pribyl 2010-07-01 10:11:00 EDT
Created attachment 428441 [details]
File: backtrace
Comment 2 Thibault North 2010-07-11 11:32:27 EDT
Hi,

Are you really using avr-gdb-6.6-11.fc12 in Fedora 13 ?
Last version for F-13 should be avr-gdb-7.0.1.

I just pushed avr-gdb 7.1 to updates-stable, maybe you could try this version.

Cheers,
Thibault
Comment 3 Adam Pribyl 2010-07-11 13:35:39 EDT
I was also bit surprised, therefore I did yum clean all and yum update before posting backtrace.

This is what yum.log says at the time I installed avr tools:
Jun 22 10:03:37 Installed: avr-binutils-2.20-2.fc13.x86_64
Jun 22 10:03:39 Installed: libmpc-0.8.1-1.fc13.x86_64
Jun 22 10:03:42 Installed: avr-gcc-4.5.0-1.fc13.x86_64
Jun 22 10:03:44 Installed: avr-gdb-6.6-11.fc12.x86_64
Jun 22 10:03:45 Installed: uisp-20050207-6.fc12.x86_64
Jun 22 10:03:47 Installed: avrdude-5.10-2.fc13.x86_64
Jun 22 10:03:48 Installed: avarice-2.10-1.fc13.x86_64
Jun 22 10:04:03 Installed: avr-libc-1.6.7-2.fc13.noarch

This is what yum list says today:
# yum list avr-gdb
Loaded plugins: presto, refresh-packagekit
Installed Packages
avr-gdb.x86_64 6.6-11.fc12 @fedora
# yum install avr-gdb
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Package avr-gdb-6.6-11.fc12.x86_64 already installed and latest version
Nothing to do

There is not a newer package in updates. Only 6.6-11 that was released with F13.
ftp://download.fedora.redhat.com/pub/fedora/linux/updates/13/x86_64/

I may try to use updates-testing.
Comment 4 Adam Pribyl 2010-07-16 05:15:26 EDT
Confirming fixed by update for F13.

Note You need to log in before you can comment on or make changes to this bug.